summaryrefslogtreecommitdiff
path: root/Final/cpp/tests/env
diff options
context:
space:
mode:
authorRajith Muditha Attapattu <rajith@apache.org>2007-11-19 16:17:15 +0000
committerRajith Muditha Attapattu <rajith@apache.org>2007-11-19 16:17:15 +0000
commit96420dfa6bb12a4b9fce082d50e49910e3dc8779 (patch)
tree255f0b19781a7ea2195a12e2305a3b81680bcac4 /Final/cpp/tests/env
parent5de8db83d669a00a8ac19023bbece140421316ab (diff)
downloadqpid-python-96420dfa6bb12a4b9fce082d50e49910e3dc8779.tar.gz
Creating a new tag for M2 final release
git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/tags/M2@596351 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'Final/cpp/tests/env')
-rwxr-xr-xFinal/cpp/tests/env41
1 files changed, 41 insertions, 0 deletions
diff --git a/Final/cpp/tests/env b/Final/cpp/tests/env
new file mode 100755
index 0000000000..2d88077ae5
--- /dev/null
+++ b/Final/cpp/tests/env
@@ -0,0 +1,41 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+# Set environment variables for test scripts.
+
+pathmunge () {
+ if ! echo $PATH | /bin/egrep -q "(^|:)$1($|:)" ; then
+ if [ "$2" = "after" ] ; then
+ PATH=$PATH:$1
+ else
+ PATH=$1:$PATH
+ fi
+ fi
+}
+
+if [ -z QPID_ROOT ] ; then echo "You must set QPID_ROOT" ; fi
+
+pathmunge $QPID_ROOT/cpp/tests
+# pathmunge $QPID_ROOT/cpp/build/*/bin
+# pathmunge $QPID_ROOT/cpp/build/*/test
+
+export QPID_HOME=${QPID_HOME:-$QPID_ROOT/java/build}
+pathmunge $QPID_HOME/bin
+
+